# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2024 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

import logging as LOG


def get_all_scgs(novaclient):
    try:
        response = novaclient.client.get('/storage-connectivity-groups')
        return response[1]["storage_connectivity_groups"]
    except Exception as exc:
        LOG.error(f"Error in getting scgs. Exception is {exc}")
        return []


def get_scg_id_by_name(scg_name, novaclient):
    all_scgs = get_all_scgs(novaclient)
    for scg in all_scgs:
        if scg.get('display_name') == scg_name:
            return scg.get('id')
    return None
